{% extends 'base.html' %}

{% block title %}
    My Tasks
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if tasks %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for my_tasks in tasks.all %}
                            <tr>
                                <td>{{ my_tasks.name }}</td>
                                <td>{{ my_tasks.start_date }}</td>
                                <td>{{ my_tasks.due_date }}</td>
                                <td>{{ my_tasks.is_completed |yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody
                </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
